## nageru 1.4.2

=== Makefile ===
CXX=g++
PROTOC=protoc
INSTALL=install
EMBEDDED_BMUSB=no
PKG_MODULES := Qt5Core Qt5Gui Qt5Widgets Qt5OpenGLExtensions Qt5OpenGL libusb-1.0 movit lua52 libmicrohttpd epoxy x264 protobuf libpci
CXXFLAGS ?= -O2 -g -Wall  # Will be overridden by environment.
CXXFLAGS += -std=gnu++11 -fPIC $(shell pkg-config --cflags $(PKG_MODULES)) -pthread -DMOVIT_SHADER_DIR=\"$(shell pkg-config --variable=shaderdir movit)\" -Idecklink/

ifeq ($(EMBEDDED_BMUSB),yes)
  CPPFLAGS += -Ibmusb/
else
  PKG_MODULES += bmusb
endif
LDLIBS=$(shell pkg-config --libs $(PKG_MODULES)) -pthread -lva -lva-drm -lva-x11 -lX11 -lavformat -lavcodec -lavutil -lswscale -lavresample -lzita-resampler -lasound -ldl

# Qt objects
OBJS_WITH_MOC = glwidget.o mainwindow.o vumeter.o lrameter.o compression_reduction_meter.o correlation_meter.o aboutdialog.o input_mapping_dialog.o midi_mapping_dialog.o nonlinear_fader.o
OBJS += $(OBJS_WITH_MOC)
OBJS += $(OBJS_WITH_MOC:.o=.moc.o) ellipsis_label.moc.o clickable_label.moc.o
OBJS += vu_common.o piecewise_interpolator.o main.o
OBJS += midi_mapper.o midi_mapping.pb.o

# Mixer objects
AUDIO_MIXER_OBJS = audio_mixer.o alsa_input.o alsa_pool.o ebu_r128_proc.o stereocompressor.o resampling_queue.o flags.o correlation_measurer.o filter.o input_mapping.o state.pb.o
OBJS += mixer.o pbo_frame_allocator.o context.o ref_counted_frame.o theme.o httpd.o flags.o image_input.o alsa_output.o disk_space_estimator.o $(AUDIO_MIXER_OBJS)

# Streaming and encoding objects
OBJS += quicksync_encoder.o x264_encoder.o x264_speed_control.o video_encoder.o metacube2.o mux.o audio_encoder.o ffmpeg_raii.o

# DeckLink
OBJS += decklink_capture.o decklink/DeckLinkAPIDispatch.o

# bmusb
ifeq ($(EMBEDDED_BMUSB),yes)
  OBJS += bmusb/bmusb.o bmusb/fake_capture.o
endif

# Benchmark program.
BM_OBJS = benchmark_audio_mixer.o $(AUDIO_MIXER_OBJS) flags.o

%.o: %.cpp
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.o: %.cc
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.pb.cc %.pb.h : %.proto
	$(PROTOC) --cpp_out=. $<

%.h: %.ui
	uic $< -o $@

%.moc.cpp: %.h
	moc $< -o $@

all: nageru benchmark_audio_mixer

nageru: $(OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)
benchmark_audio_mixer: $(BM_OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)

# Extra dependencies that need to be generated.
aboutdialog.o: ui_aboutdialog.h
alsa_pool.o: state.pb.h
audio_mixer.o: state.pb.h
input_mapping.o: state.pb.h
input_mapping_dialog.o: ui_input_mapping.h
mainwindow.o: ui_mainwindow.h ui_display.h ui_audio_miniview.h ui_audio_expanded_view.h ui_midi_mapping.h
mainwindow.o: midi_mapping.pb.h
midi_mapper.o: midi_mapping.pb.h
midi_mapping_dialog.o: ui_midi_mapping.h midi_mapping.pb.h

DEPS=$(OBJS:.o=.d) $(BM_OBJS:.o=.d)
-include $(DEPS)

clean:
	$(RM) $(OBJS) $(BM_OBJS) $(DEPS) nageru benchmark_audio_mixer ui_aboutdialog.h ui_mainwindow.h ui_display.h ui_about.h ui_audio_miniview.h ui_audio_expanded_view.h ui_input_mapping.h ui_midi_mapping.h chain-*.frag *.dot *.pb.cc *.pb.h $(OBJS_WITH_MOC:.o=.moc.cpp) ellipsis_label.moc.cpp clickable_label.moc.cpp

PREFIX=/usr/local
install:
	$(INSTALL) -m 755 -o root -g root -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/nageru
	$(INSTALL) -m 755 -o root -g root nageru $(DESTDIR)$(PREFIX)/bin/nageru
	$(INSTALL) -m 644 -o root -g root theme.lua $(DESTDIR)$(PREFIX)/share/nageru/theme.lua
	$(INSTALL) -m 644 -o root -g root simple.lua $(DESTDIR)$(PREFIX)/share/nageru/simple.lua
	$(INSTALL) -m 644 -o root -g root bg.jpeg $(DESTDIR)$(PREFIX)/share/nageru/bg.jpeg
	$(INSTALL) -m 644 -o root -g root akai_midimix.midimapping $(DESTDIR)$(PREFIX)/share/nageru/akai_midimix.midimapping

=== debian/changelog ===
nageru (1.4.2-2) unstable; urgency=high

  * friendlier-opengl-error.diff: New patch from upstream git, adds a
    friendlier error message if OpenGL initialization fails.
    (Closes: #859217)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 01 Apr 2017 20:31:56 +0200

nageru (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Nov 2016 18:15:46 +0100

nageru (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    * Add libpci-dev as build-dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Nov 2016 23:27:58 +0100

nageru (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    * Add libprotobuf-dev and protobuf-compiler as build-dependencies.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 25 Oct 2016 09:43:10 +0200

nageru (1.3.4-2) unstable; urgency=medium

  * Add missing epoch to libavformat-dev build-dependency; makes FTBFS on
    some platforms/distributions turn into B-D-Uninstallable, presumably
    prompting a rebuild once updated libavformat-dev hits that architecture.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 12 Aug 2016 21:12:32 +0200

nageru (1.3.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS. (Closes: #833304)
    - Obsoletes fix-compilation-for-systems-without-sse.diff.
    - Adds support for big-endian systems; changed Architecture list to
      linux-any.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Aug 2016 22:48:00 +0200

nageru (1.3.3-2) unstable; urgency=medium

  * fix-compilation-for-systems-without-sse.diff: New patch from upstream,
    fixes compilation issues of filter.cpp for systems without SSE
    (ie., all systems except amd64). (Closes: #832773)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Jul 2016 17:05:00 +0200

nageru (1.3.3-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Jul 2016 20:44:29 +0200

=== debian/control ===
Source: nageru
Section: video
Priority: optional
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.3.1), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev, protobuf-compiler, libprotobuf-dev, libpci-dev
Standards-Version: 3.9.8
Homepage: https://nageru.sesse.net/

Package: nageru
# Uses Linux-only features (such as VA-API).
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modern free software video mixer
 Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live
 video mixer. It takes in inputs from one or more video cards (any DeckLink PCI
 card via Blackmagic's drivers, and Intensity Shuttle USB3 and UltraStudio SDI
 USB3 cards via bmusb), mixes them together based on the operator's desire and a
 theme written in Lua, and outputs a high-quality H.264 stream over TCP suitable
 for further transcoding and/or distribution.
 .
 Nageru aims to produce high-quality output, both in terms of audio and video,  
 while still running on modest hardware.

## nageru 1.6.2

=== Makefile ===
CXX=g++
PROTOC=protoc
INSTALL=install
EMBEDDED_BMUSB=no
PKG_MODULES := Qt5Core Qt5Gui Qt5Widgets Qt5OpenGLExtensions Qt5OpenGL Qt5PrintSupport libusb-1.0 movit lua52 libmicrohttpd epoxy x264 protobuf libpci
CXXFLAGS ?= -O2 -g -Wall  # Will be overridden by environment.
CXXFLAGS += -std=gnu++11 -fPIC $(shell pkg-config --cflags $(PKG_MODULES)) -pthread -DMOVIT_SHADER_DIR=\"$(shell pkg-config --variable=shaderdir movit)\" -Idecklink/

ifeq ($(EMBEDDED_BMUSB),yes)
  CPPFLAGS += -Ibmusb/
else
  PKG_MODULES += bmusb
endif
LDLIBS=$(shell pkg-config --libs $(PKG_MODULES)) -pthread -lva -lva-drm -lva-x11 -lX11 -lavformat -lavcodec -lavutil -lswscale -lavresample -lzita-resampler -lasound -ldl -lqcustomplot

# Qt objects
OBJS_WITH_MOC = glwidget.o mainwindow.o vumeter.o lrameter.o compression_reduction_meter.o correlation_meter.o aboutdialog.o analyzer.o input_mapping_dialog.o midi_mapping_dialog.o nonlinear_fader.o
OBJS += $(OBJS_WITH_MOC)
OBJS += $(OBJS_WITH_MOC:.o=.moc.o) ellipsis_label.moc.o clickable_label.moc.o
OBJS += context_menus.o vu_common.o piecewise_interpolator.o main.o
OBJS += midi_mapper.o midi_mapping.pb.o

# Mixer objects
AUDIO_MIXER_OBJS = audio_mixer.o alsa_input.o alsa_pool.o ebu_r128_proc.o stereocompressor.o resampling_queue.o flags.o correlation_measurer.o filter.o input_mapping.o state.pb.o
OBJS += chroma_subsampler.o v210_converter.o mixer.o basic_stats.o metrics.o pbo_frame_allocator.o context.o ref_counted_frame.o theme.o httpd.o flags.o image_input.o alsa_output.o disk_space_estimator.o print_latency.o timecode_renderer.o tweaked_inputs.o $(AUDIO_MIXER_OBJS)

# Streaming and encoding objects
OBJS += quicksync_encoder.o x264_encoder.o x264_dynamic.o x264_speed_control.o video_encoder.o metacube2.o mux.o audio_encoder.o ffmpeg_raii.o ffmpeg_util.o

# DeckLink
OBJS += decklink_capture.o decklink_util.o decklink_output.o decklink/DeckLinkAPIDispatch.o

KAERU_OBJS = kaeru.o x264_encoder.o mux.o basic_stats.o metrics.o flags.o audio_encoder.o x264_speed_control.o print_latency.o x264_dynamic.o ffmpeg_raii.o ref_counted_frame.o ffmpeg_capture.o ffmpeg_util.o httpd.o metacube2.o

# bmusb
ifeq ($(EMBEDDED_BMUSB),yes)
  OBJS += bmusb/bmusb.o bmusb/fake_capture.o
  KAERU_OBJS += bmusb/bmusb.o
endif

# FFmpeg input
OBJS += ffmpeg_capture.o

# Benchmark program.
BM_OBJS = benchmark_audio_mixer.o $(AUDIO_MIXER_OBJS) flags.o metrics.o

%.o: %.cpp
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.o: %.cc
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.pb.cc %.pb.h : %.proto
	$(PROTOC) --cpp_out=. $<

%.h: %.ui
	uic $< -o $@

%.moc.cpp: %.h
	moc $< -o $@

all: nageru kaeru benchmark_audio_mixer

nageru: $(OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)
kaeru: $(KAERU_OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)
benchmark_audio_mixer: $(BM_OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)

# Extra dependencies that need to be generated.
aboutdialog.o: ui_aboutdialog.h
analyzer.o: ui_analyzer.h
alsa_pool.o: state.pb.h
audio_mixer.o: state.pb.h
input_mapping.o: state.pb.h
input_mapping_dialog.o: ui_input_mapping.h
mainwindow.o: ui_mainwindow.h ui_display.h ui_audio_miniview.h ui_audio_expanded_view.h ui_midi_mapping.h
mainwindow.o: midi_mapping.pb.h
midi_mapper.o: midi_mapping.pb.h
midi_mapping_dialog.o: ui_midi_mapping.h midi_mapping.pb.h

DEPS=$(OBJS:.o=.d) $(BM_OBJS:.o=.d) $(KAERU_OBJS:.o=.d)
-include $(DEPS)

clean:
	$(RM) $(OBJS) $(BM_OBJS) $(KAERU_OBJS) $(DEPS) nageru benchmark_audio_mixer ui_aboutdialog.h ui_analyzer.h ui_mainwindow.h ui_display.h ui_about.h ui_audio_miniview.h ui_audio_expanded_view.h ui_input_mapping.h ui_midi_mapping.h chain-*.frag *.dot *.pb.cc *.pb.h $(OBJS_WITH_MOC:.o=.moc.cpp) ellipsis_label.moc.cpp clickable_label.moc.cpp

PREFIX=/usr/local
install:
	$(INSTALL) -m 755 -o root -g root -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/nageru
	$(INSTALL) -m 755 -o root -g root nageru $(DESTDIR)$(PREFIX)/bin/nageru
	$(INSTALL) -m 755 -o root -g root kaeru $(DESTDIR)$(PREFIX)/bin/kaeru
	$(INSTALL) -m 644 -o root -g root theme.lua $(DESTDIR)$(PREFIX)/share/nageru/theme.lua
	$(INSTALL) -m 644 -o root -g root simple.lua $(DESTDIR)$(PREFIX)/share/nageru/simple.lua
	$(INSTALL) -m 644 -o root -g root bg.jpeg $(DESTDIR)$(PREFIX)/share/nageru/bg.jpeg
	$(INSTALL) -m 644 -o root -g root akai_midimix.midimapping $(DESTDIR)$(PREFIX)/share/nageru/akai_midimix.midimapping

=== debian/changelog ===
nageru (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes SIGFPE with newer i965-va-driver. (Closes: #866512)
    * Bump dependency on libmovit-dev, as per upstream.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2017 03:36:49 +0200

nageru (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.
    * Adds support for newer bmusb. (Closes: #865435)
  * Add missing build dependency on libqcustomplot-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 19 Jun 2017 00:15:35 +0200

nageru (1.6.0-1) experimental; urgency=medium

  * New upstream release.
    * Update versioned Build-Depends on libmovit-dev and libbmusb-dev.
    * Unfuzz patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 30 May 2017 20:01:05 +0200

nageru (1.5.0-1) experimental; urgency=medium

  * New upstream release.
    * Obsoletes friendlier-opengl-error.diff (incorporated in upstream).
    * Add versioned Build-Depends on libmovit-dev and libbmusb-dev
      (both are available from experimental).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Apr 2017 23:30:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.3.1), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev, protobuf-compiler, libprotobuf-dev, libpci-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/

## nageru 1.6.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROTOC=protoc
 INSTALL=install
 EMBEDDED_BMUSB=no
-PKG_MODULES := Qt5Core Qt5Gui Qt5Widgets Qt5OpenGLExtensions Qt5OpenGL Qt5PrintSupport libusb-1.0 movit lua52 libmicrohttpd epoxy x264 protobuf libpci
+PKG_MODULES := Qt5Core Qt5Gui Qt5Widgets Qt5OpenGLExtensions Qt5OpenGL Qt5PrintSupport libusb-1.0 movit luajit libmicrohttpd epoxy x264 protobuf libpci
 CXXFLAGS ?= -O2 -g -Wall  # Will be overridden by environment.
 CXXFLAGS += -std=gnu++11 -fPIC $(shell pkg-config --cflags $(PKG_MODULES)) -pthread -DMOVIT_SHADER_DIR=\"$(shell pkg-config --variable=shaderdir movit)\" -Idecklink/

=== debian/changelog ===
nageru (1.6.4-2build2) bionic; urgency=medium

  * No.change rebuild for movit soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 10:36:08 +0100

nageru (1.6.4-2build1) bionic; urgency=medium

  * No.change rebuild for x264 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 11:17:30 +0100

nageru (1.6.4-2) unstable; urgency=medium

  * Drop s390x from the architecture list. (Closes: #888778)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 Jan 2018 23:38:02 +0100

nageru (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    * Updates for FFmpeg 3.5. (Closes: #888379)
    * Build-Depend on LuaJIT instead of Lua.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2018 18:25:35 +0100

nageru (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Add a workaround for platforms that require -latomic for std::atomic.
    Patch by Adrian Bunk. (Closes: #880997)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 08 Nov 2017 18:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/
 
 Package: nageru
 # Uses Linux-only features (such as VA-API).
-Architecture: linux-any
+# Also needs LuaJIT (not to mention OpenGL and USB), which isn't available on s390x.
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: modern free software video mixer
  Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live

## nageru 1.7.0

=== debian/changelog ===
nageru (1.7.0-2) unstable; urgency=medium

  * Fix an issue with the /usr prefix patch, causing the theme to be attempted
    loaded from /usr/local.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 20:13:05 +0100

nageru (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 19:36:42 +0100

## nageru 1.7.1

=== debian/changelog ===
nageru (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 26 Mar 2018 23:45:49 +0200

## nageru 1.7.3

=== debian/changelog ===
nageru (1.7.3-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:47:32 +0000

nageru (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 22 May 2018 21:03:01 +0200

nageru (1.7.2-1) unstable; urgency=medium

  * New upstream release.
    * Remove Build-depends on libpci-dev, as it is no longer required.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 28 Apr 2018 17:05:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/

## nageru 1.7.4

=== Makefile ===
CXX=g++
PROTOC=protoc
INSTALL=install
EMBEDDED_BMUSB=no
PKG_MODULES := Qt5Core Qt5Gui Qt5Widgets Qt5OpenGLExtensions Qt5OpenGL Qt5PrintSupport libusb-1.0 movit luajit libmicrohttpd epoxy x264 protobuf
CXXFLAGS ?= -O2 -g -Wall  # Will be overridden by environment.
CXXFLAGS += -std=gnu++11 -fPIC $(shell pkg-config --cflags $(PKG_MODULES)) -pthread -DMOVIT_SHADER_DIR=\"$(shell pkg-config --variable=shaderdir movit)\" -Idecklink/

# Override CEF_DIR on the command line to build with CEF.
# E.g.: make CEF_DIR=/home/sesse/cef_binary_3.3282.1734.g8f26fe0_linux64
CEF_DIR=

# Release or Debug, depending on what CEF version you want to link to.
# Optionally, the special value CEF_BUILD_TYPE=system assumes you can build and link
# to CEF without any special flags, get the remaining libraries (libEGL.so,
# natives_blob.bin, etc.) from $(CEF_LIB), get resources from $(CEF_RESOURCE_DIR),
# and symlink resources instead of copying them in.
CEF_BUILD_TYPE=Release
ifneq ($(CEF_DIR),)
  CPPFLAGS += -DHAVE_CEF=1
  ifeq ($(CEF_BUILD_TYPE),system)
    EXTRA_CEF_LDFLAGS =
    CEF_LIB_DIR = $(CEF_DIR)
    CEF_RESOURCE_DIR = /usr/share/cef/Resources
    CEF_CP = ln -s
  else
    CEF_LIBS = $(CEF_DIR)/libcef_dll_wrapper/libcef_dll_wrapper.a
    CPPFLAGS += -I$(CEF_DIR) -I$(CEF_DIR)/include
    EXTRA_CEF_LDFLAGS = -L$(CEF_DIR)/$(CEF_BUILD_TYPE) -Wl,-rpath,\$$ORIGIN
    CEF_LIB_DIR = $(CEF_DIR)/$(CEF_BUILD_TYPE)
    CEF_RESOURCE_DIR = $(CEF_DIR)/Resources
    CEF_CP = cp -a
  endif
endif

ifeq ($(EMBEDDED_BMUSB),yes)
  CPPFLAGS += -Ibmusb/
else
  PKG_MODULES += bmusb
endif
LDLIBS=$(shell pkg-config --libs $(PKG_MODULES)) -pthread -lva -lva-drm -lva-x11 -lX11 -lavformat -lavcodec -lavutil -lswscale -lavresample -lzita-resampler -lasound -ldl -lqcustomplot
ifneq ($(CEF_DIR),)
  EXTRA_CEF_LDLIBS = -lcef
  ifeq ($(CEF_BUILD_TYPE),system)
    # Don't build this ourselves; just link to the system version.
    EXTRA_CEF_LDLIBS += -lcef_dll_wrapper
  endif
endif

# Qt objects
OBJS_WITH_MOC = glwidget.o mainwindow.o vumeter.o lrameter.o compression_reduction_meter.o correlation_meter.o aboutdialog.o analyzer.o input_mapping_dialog.o midi_mapping_dialog.o nonlinear_fader.o
OBJS += $(OBJS_WITH_MOC)
OBJS += $(OBJS_WITH_MOC:.o=.moc.o) ellipsis_label.moc.o clickable_label.moc.o
OBJS += context_menus.o vu_common.o piecewise_interpolator.o main.o
OBJS += midi_mapper.o midi_mapping.pb.o

# Mixer objects
AUDIO_MIXER_OBJS = audio_mixer.o alsa_input.o alsa_pool.o ebu_r128_proc.o stereocompressor.o resampling_queue.o flags.o correlation_measurer.o filter.o input_mapping.o state.pb.o
OBJS += chroma_subsampler.o v210_converter.o mixer.o basic_stats.o metrics.o pbo_frame_allocator.o context.o ref_counted_frame.o theme.o httpd.o flags.o image_input.o alsa_output.o disk_space_estimator.o print_latency.o timecode_renderer.o tweaked_inputs.o $(AUDIO_MIXER_OBJS)

# Streaming and encoding objects
OBJS += quicksync_encoder.o x264_encoder.o x264_dynamic.o x264_speed_control.o video_encoder.o metacube2.o mux.o audio_encoder.o ffmpeg_raii.o ffmpeg_util.o json.pb.o

# DeckLink
OBJS += decklink_capture.o decklink_util.o decklink_output.o memcpy_interleaved.o decklink/DeckLinkAPIDispatch.o

KAERU_OBJS = kaeru.o x264_encoder.o mux.o basic_stats.o metrics.o flags.o audio_encoder.o x264_speed_control.o print_latency.o x264_dynamic.o ffmpeg_raii.o ref_counted_frame.o ffmpeg_capture.o ffmpeg_util.o httpd.o json.pb.o metacube2.o

# bmusb
ifeq ($(EMBEDDED_BMUSB),yes)
  OBJS += bmusb/bmusb.o bmusb/fake_capture.o
  KAERU_OBJS += bmusb/bmusb.o
endif

# FFmpeg input
OBJS += ffmpeg_capture.o

ifneq ($(CEF_DIR),)
  # CEF input
  OBJS += nageru_cef_app.o cef_capture.o
endif

# Benchmark program.
BM_OBJS = benchmark_audio_mixer.o $(AUDIO_MIXER_OBJS) flags.o metrics.o

%.o: %.cpp
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.o: %.cc
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
%.pb.cc %.pb.h : %.proto
	$(PROTOC) --cpp_out=. $<

%.h: %.ui
	uic $< -o $@

%.moc.cpp: %.h
	moc $< -o $@

ifneq ($(CEF_DIR),)
CEF_RESOURCES = natives_blob.bin snapshot_blob.bin v8_context_snapshot.bin
CEF_RESOURCES += cef.pak cef_100_percent.pak cef_200_percent.pak cef_extensions.pak devtools_resources.pak
CEF_RESOURCES += libEGL.so libGLESv2.so swiftshader/libEGL.so swiftshader/libGLESv2.so
CEF_RESOURCES += locales/en-US.pak
ifneq ($(CEF_NO_ICUDTL),yes)
CEF_RESOURCES += icudtl.dat
endif
ifneq ($(CEF_BUILD_TYPE),system)
CEF_RESOURCES += libcef.so
endif
endif

all: nageru kaeru benchmark_audio_mixer $(CEF_RESOURCES)

nageru: $(OBJS) $(CEF_LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(EXTRA_CEF_LDFLAGS) $(LDLIBS) $(EXTRA_CEF_LDLIBS) $(CEF_LIBS)
kaeru: $(KAERU_OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)
benchmark_audio_mixer: $(BM_OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS) $(LDLIBS)

ifneq ($(CEF_DIR),)
# A lot of these unfortunately have to be in the same directory as the binary;
# some can be given paths, but not all.
libcef.so: $(CEF_LIB_DIR)/libcef.so
	$(CEF_CP) $< $@
libEGL.so: $(CEF_LIB_DIR)/libEGL.so
	$(CEF_CP) $< $@
libGLESv2.so: $(CEF_LIB_DIR)/libGLESv2.so
	$(CEF_CP) $< $@
swiftshader/:
	mkdir swiftshader/
swiftshader/libEGL.so: | swiftshader/ $(CEF_LIB_DIR)/swiftshader/libEGL.so
	$(CEF_CP) $(CEF_LIB_DIR)/swiftshader/libEGL.so $@
swiftshader/libGLESv2.so: | swiftshader/ $(CEF_LIB_DIR)/swiftshader/libGLESv2.so
	$(CEF_CP) $(CEF_LIB_DIR)/swiftshader/libGLESv2.so $@
locales/:
	mkdir locales/
locales/en-US.pak: | locales/ $(CEF_RESOURCE_DIR)/locales/en-US.pak
	$(CEF_CP) $(CEF_RESOURCE_DIR)/locales/en-US.pak $@
icudtl.dat: $(CEF_RESOURCE_DIR)/icudtl.dat
	$(CEF_CP) $< $@
%.bin: $(CEF_LIB_DIR)/%.bin
	$(CEF_CP) $< $@
%.pak: $(CEF_RESOURCE_DIR)/%.pak
	$(CEF_CP) $< $@
endif

# Extra dependencies that need to be generated.
aboutdialog.o: ui_aboutdialog.h
analyzer.o: ui_analyzer.h
alsa_pool.o: state.pb.h
audio_mixer.o: state.pb.h
input_mapping.o: state.pb.h
input_mapping_dialog.o: ui_input_mapping.h
mainwindow.o: ui_mainwindow.h ui_display.h ui_audio_miniview.h ui_audio_expanded_view.h ui_midi_mapping.h
mainwindow.o: midi_mapping.pb.h
midi_mapper.o: midi_mapping.pb.h
midi_mapping_dialog.o: ui_midi_mapping.h midi_mapping.pb.h
mixer.o: json.pb.h

# CEF wrapper library; typically not built as part of the binary distribution.
$(CEF_DIR)/libcef_dll_wrapper/libcef_dll_wrapper.a: $(CEF_DIR)/Makefile
	cd $(CEF_DIR) && $(MAKE) libcef_dll_wrapper

$(CEF_DIR)/Makefile:
	cd $(CEF_DIR) && cmake .

DEPS=$(OBJS:.o=.d) $(BM_OBJS:.o=.d) $(KAERU_OBJS:.o=.d)
-include $(DEPS)

clean:
	$(RM) $(OBJS) $(BM_OBJS) $(KAERU_OBJS) $(DEPS) nageru kaeru benchmark_audio_mixer ui_aboutdialog.h ui_analyzer.h ui_mainwindow.h ui_display.h ui_about.h ui_audio_miniview.h ui_audio_expanded_view.h ui_input_mapping.h ui_midi_mapping.h chain-*.frag *.dot *.pb.cc *.pb.h $(OBJS_WITH_MOC:.o=.moc.cpp) ellipsis_label.moc.cpp clickable_label.moc.cpp $(CEF_LIBS) $(CEF_RESOURCES)

PREFIX=/usr/local
install: install-cef
	$(INSTALL) -m 755 -o root -g root -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/nageru $(DESTDIR)$(PREFIX)/lib/nageru
	$(INSTALL) -m 755 -o root -g root nageru $(DESTDIR)$(PREFIX)/lib/nageru/nageru
	ln -s $(PREFIX)/lib/nageru/nageru $(DESTDIR)$(PREFIX)/bin/nageru
	$(INSTALL) -m 755 -o root -g root kaeru $(DESTDIR)$(PREFIX)/bin/kaeru
	$(INSTALL) -m 644 -o root -g root theme.lua $(DESTDIR)$(PREFIX)/share/nageru/theme.lua
	$(INSTALL) -m 644 -o root -g root simple.lua $(DESTDIR)$(PREFIX)/share/nageru/simple.lua
	$(INSTALL) -m 644 -o root -g root bg.jpeg $(DESTDIR)$(PREFIX)/share/nageru/bg.jpeg
	$(INSTALL) -m 644 -o root -g root akai_midimix.midimapping $(DESTDIR)$(PREFIX)/share/nageru/akai_midimix.midimapping

ifneq ($(CEF_DIR),)
  ifeq ($(CEF_BUILD_TYPE),system)
install-cef:
	for FILE in $(CEF_RESOURCES); do \
		mkdir -p `dirname $(DESTDIR)$(PREFIX)/lib/nageru/$$FILE`; \
		cp -a $$FILE $(DESTDIR)$(PREFIX)/lib/nageru/$$FILE; \
	done

  else
install-cef:
	for FILE in $(CEF_LIBS) $(CEF_RESOURCES); do \
		$(INSTALL) -D -m 644 -o root -g root $$FILE $(DESTDIR)$(PREFIX)/lib/nageru/$$FILE; \
	done

  endif
else
install-cef:
endif

=== debian/changelog ===
nageru (1.7.4-1) unstable; urgency=medium

  * New upstream release.
    * Support x264 >= 153. (Closes: #907659)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 31 Aug 2018 22:15:59 +0200

## nageru 1.7.5

=== debian/changelog ===
nageru (1.7.5-1) unstable; urgency=medium

  * New upstream release.
    * Build-Depend on meson, as upstream has changed build systems.
      The dependency is versioned so that stretch has a new enough backport.
    * Update prefix-usr.diff to reflect that we no longer have a Makefile
      that needs patching.
    * no-libjpeg-needed.diff: Remove the spurious libjpeg dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Nov 2018 13:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47)
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/

## nageru 1.8.0

=== debian/changelog ===
nageru (1.8.0-1) unstable; urgency=medium

  * New upstream release.
    * Nageru now includes Futatabi, so add a new binary package.
    * Add Build-Dependency on libjpeg-dev and libsqlite3-dev (the latter is
      needed by Futatabi only).
    * Remove no-libjpeg-needed.diff, since the libjpeg dependency is no longer
      spurious.
    * do-not-build-futatabi-test-binaries.diff: New patch, disables building
      of some test binaries we do not install (which gets rid of SDL
      dependencies).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 20 Dec 2018 00:03:04 +0100

## nageru 1.8.1

=== debian/changelog ===
nageru (1.8.1-1) unstable; urgency=medium

  * New upstream release.
    * Remove do-not-build-futatabi-test-binaries.diff, since the build system
      now automatically skips the test binaries if SDL is not available
      (and they are never installed anyway).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Dec 2018 20:11:40 +0100

## nageru 1.8.2

=== debian/changelog ===
nageru (1.8.2-1) unstable; urgency=medium

  * New upstream release.
    * Update debian/copyright with new contributors.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 Jan 2019 22:58:59 +0100

## nageru 1.8.4

=== debian/changelog ===
nageru (1.8.4-1) unstable; urgency=high

  * New upstream release.
    * Fixes FTBFS on 32-bit platforms.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 11 Mar 2019 23:41:01 +0100

nageru (1.8.3-1) unstable; urgency=high

  * New upstream release.
    * urgency=high due to the high amount of important upstream bug fixes.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Mar 2019 20:24:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47)
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/
 
@@ -21,3 +21,14 @@
  .
  Nageru aims to produce high-quality output, both in terms of audio and video,  
  while still running on modest hardware.
+
+Package: futatabi
+# Generally same reasoning as nageru.
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: multicamera slow motion video server
+ Futatabi is a video server and multitrack recorder, made to work in tandem
+ with Nageru. It can record multiple video tracks in sync and play back
+ selected clips from them in slow motion. Futatabi uses GPU-based interpolation
+ to provide smooth motion without the use of a high-speed camera (the quality
+ will depend on the type of content and on the speed of the GPU in use).

## nageru 1.9.0

=== debian/changelog ===
nageru (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Jul 2019 09:56:05 +0200

nageru (1.9.0-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental since bmusb hasn't cleared
    the NEW queue yet.)
    * Fixes cross-compilation; patch from Helmut Grohne. (Closes: #930877)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 20 Jul 2019 17:02:35 +0200

nageru (1.8.6-2) experimental; urgency=medium

  * Bump Build-Dependency on libbmusb-dev to 0.7.4. (Closes: #928427)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 05 May 2019 23:48:06 +0200

nageru (1.8.6-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental to avoid disturbing the
    buster release.)
    * Removes the need for prefix-usr.diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Apr 2019 09:23:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/

## nageru 1.9.1

=== debian/changelog ===
nageru (1.9.1-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:22 +0100

nageru (1.9.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to allow testing migration. 
  * debian/control: Add missing build-dependency libdrm-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:39:34 -0500

nageru (1.9.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes missing thread dependency. (Closes: #944931)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Nov 2019 20:12:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/

## nageru 2.0.1

=== debian/changelog ===
nageru (2.0.1-3) unstable; urgency=medium

  * Reenable the SRT support, as the srt package was fixed again. 
  * fix-ffmpeg-height-calculation.diff: New patch from upstream git,
    fixes resolution calculation in kaeru due to a typo.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 04 Apr 2021 21:26:11 +0200

nageru (2.0.1-2) unstable; urgency=medium

  * Build without SRT support (remove the build-dependency on
    libsrt-gnutls-dev), as the srt package in Debian is unmaintained and
    RC-buggy. (Closes: #979582)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Jan 2021 13:39:12 +0100

nageru (2.0.1-1) unstable; urgency=medium

  * New upstream release. 
    * Work around API breakage in libmicrohttpd. (Closes: #964563)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 09 Jul 2020 09:58:15 +0200

nageru (2.0.0-3) unstable; urgency=medium

  * Build-Depend on the newly added libsrt-gnutls-dev, to get SRT support.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Jun 2020 16:45:05 +0200

nageru (2.0.0-2) unstable; urgency=medium

  * Build without lld on i386; fixes FTBFS.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 03 Jun 2020 00:33:42 +0200

nageru (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    * Build-Conflict against libsrt-dev, to avoid linking in OpenSSL indirectly.
  * Upgrade to debhelper compatibility version 13. Update Build-Depends
    accordingly. No changes needed.
  * Build-Depend on lld, so that the end result isn't different depending on
    whether the autobuilder had the package installed or not.
  * Upgrade to Standards-Version 4.5.0.
    * Install NEWS (and README, which was missing) as docs. Remove the file 
      debian/nageru-docs.docs; there was never a package nageru-docs.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Jun 2020 20:21:04 +0200

nageru (1.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 12 Apr 2020 11:27:26 +0200

nageru (1.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Mar 2020 15:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev
-Standards-Version: 3.9.8
+# lld is strictly optional, but depending on it means the build is more reproducible;
+# the result doesn't depend on whether the package was installed or not.
+# However, there's a bug on i386 where it doesn't link properly.
+Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, lld [!i386], libsrt-gnutls-dev
+Build-Conflicts: lld [i386]
+Standards-Version: 4.5.0
 Homepage: https://nageru.sesse.net/
 
 Package: nageru

## nageru 2.0.2

=== debian/changelog ===
nageru (2.0.2-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 08:32:56 +0200

nageru (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes fix-ffmpeg-height-calculation.diff.
  * Remove unused build-dependency libavresample-dev. (Closes: #971328)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Sep 2021 18:45:12 +0200

nageru (2.0.1-3ubuntu1) impish; urgency=medium

  * Drop build dependency on lld. Using the default linker is just fine,
    and lld fast mode currently creates only 64bit hashes in fast mode.
    See https://bugs.llvm.org/show_bug.cgi?id=44138.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 May 2021 17:03:44 +0200

## nageru 2.1.0

=== debian/changelog ===
nageru (2.1.0-2ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:11 +0000

nageru (2.1.0-2ubuntu3) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:36 +0000

nageru (2.1.0-2ubuntu2) kinetic; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Jun 2022 08:08:00 -0400

nageru (2.1.0-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 09:03:09 +0200

nageru (2.1.0-2) unstable; urgency=medium

  * Remove ppc64el from architecture list, as it no longer has working LuaJIT
    (upstream does not support regular Lua). (Closes: #1011302)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 May 2022 12:05:00 +0200

nageru (2.1.0-1ubuntu2) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:26:59 +0100

nageru (2.1.0-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:36:33 +0100

nageru (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compilation with FFmpeg 5.0. (Closes: #1004617)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Feb 2022 16:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: nageru
 Section: video
 Priority: optional
-Maintainer: Steinar H. Gunderson <sesse@debian.org>
-# lld is strictly optional, but depending on it means the build is more reproducible;
-# the result doesn't depend on whether the package was installed or not.
-# However, there's a bug on i386 where it doesn't link properly.
-Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, lld [!i386], libsrt-gnutls-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libswresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, libsrt-gnutls-dev
 Build-Conflicts: lld [i386]
 Standards-Version: 4.5.0
 Homepage: https://nageru.sesse.net/
 
 Package: nageru
 # Uses Linux-only features (such as VA-API).
-# Also needs LuaJIT (not to mention OpenGL and USB), which isn't available on s390x.
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
+# Also needs LuaJIT (not to mention OpenGL and USB), which isn't available on s390x or ppc.
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: modern free software video mixer
  Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live

## nageru 2.2.0

=== debian/changelog ===
nageru (2.2.0-2ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 17:55:58 +0100

nageru (2.2.0-2) unstable; urgency=medium

  * Remove ppc64el from futatabi's architecture list.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 23 Nov 2022 09:26:33 +0100

nageru (2.2.0-1ubuntu2) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:40:34 +0100

nageru (2.2.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, this causes a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 13:50:25 -0800

nageru (2.2.0-1) unstable; urgency=medium

  * New upstream release.
    * Removes dependency on QCustomPlot. (Closes: #1024105)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 15 Nov 2022 00:27:07 +0100

## nageru 2.2.1

=== debian/changelog ===
nageru (2.2.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes several crash bugs related to video inputs. (Closes: #1034471)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Apr 2023 18:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: nageru
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libswresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, libsrt-gnutls-dev
+Maintainer: Steinar H. Gunderson <sesse@debian.org>
+# lld is strictly optional, but depending on it means the build is more reproducible;
+# the result doesn't depend on whether the package was installed or not.
+# However, there's a bug on i386 where it doesn't link properly.
+Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libswresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, lld [!i386], libsrt-gnutls-dev
 Build-Conflicts: lld [i386]
 Standards-Version: 4.5.0
 Homepage: https://nageru.sesse.net/
@@ -26,7 +28,7 @@
 
 Package: futatabi
 # Generally same reasoning as nageru.
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: multicamera slow motion video server
  Futatabi is a video server and multitrack recorder, made to work in tandem
